;//****************************************************************
;//		ANIMATION DATA EXPORTED FROM THE GAMEBOY ART UTILITY
;//****************************************************************

;// FRAME DATA STRUCTURE
;// BYTE			DESCRIPTION
;//  0				Width of the frame in blocks
;//  1				Height of the frame in blocks
;//  2				XOffset for start of data
;//  3				YOffset for start of data
;//  4->			Character Block Word.
;//
;// CHARACTER BLOCK WORD
;// BITS			DESCRIPTION
;//  15 - 4			Block number (mask with FFF0h and add to the block table)
;//  3				spare
;//  2				spare
;//  1				X-FLIP BLOCK
;//  0				Y-FLIP BLOCK

;// ANIMATION HEADER
;// ORIGINALLY 20 BLOCKS WE USED - SAVED 0 BLOCKS DUE TO XFLIP, YFLIP OR DUPLICATES
NumberOfAnimations:		db		1
NumberOfPalettes:		db		2

;// PALETTE DATA
PaletteData:
						dw		$0174, $0268, $7fbe, $15ff
						dw		$0174, $7be8, $7fbe, $23ec

;// BLOCK PALETTE DATA
BlockPaletteData:
						db		0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1
						db		1, 1, 1, 1

;// ANIMATION LIST
AnimationData:			dw		AnimUnnamed

;// DATA FOR ANIMATION 0 (Unnamed)
AnimUnnamed:
						db		5, 0
						dw		AnimUnnamedFrame0
						dw		AnimUnnamedFrame1
						dw		AnimUnnamedFrame2
						dw		AnimUnnamedFrame3
						dw		AnimUnnamedFrame4

;// ANIMATION DATA FOR ANIMATION 0 (Unnamed) FRAMES 0 -> 4 
AnimUnnamedFrame0:
						db		2, 2					;// Width and Height
						db		-9, -16					;// Offsets
						dw		$0000, $0010
						dw		$0020, $0030
AnimUnnamedFrame1:
						db		2, 2					;// Width and Height
						db		-9, -16					;// Offsets
						dw		$0040, $0050
						dw		$0060, $0070
AnimUnnamedFrame2:
						db		2, 2					;// Width and Height
						db		-9, -16					;// Offsets
						dw		$0080, $0090
						dw		$00a0, $00b0
AnimUnnamedFrame3:
						db		2, 2					;// Width and Height
						db		-9, -16					;// Offsets
						dw		$00c0, $00d0
						dw		$00e0, $00f0
AnimUnnamedFrame4:
						db		2, 2					;// Width and Height
						db		-9, -16					;// Offsets
						dw		$0100, $0110
						dw		$0120, $0130

;// GRAPHICS DATA
GraphicData:
						db		$00, $ff, $07, $f8, $07, $f8, $07, $f8, $00, $ff, $00, $ff, $00, $ff, $00, $ff
						db		$00, $ff, $e0, $1f, $e0, $1f, $e0, $1f, $e0, $1f, $e0, $1f, $e0, $1f, $e0, $1f
						db		$00, $ff, $00, $ff, $00, $ff, $00, $ff, $00, $ff, $00, $ff, $00, $ff, $00, $ff
						db		$e0, $1f, $e0, $1f, $e0, $1f, $e0, $1f, $e0, $1f, $e0, $1f, $e0, $1f, $e0, $1f
						db		$00, $ff, $03, $fc, $07, $f8, $0f, $f0, $1e, $e1, $1e, $e1, $1c, $e3, $00, $ff
						db		$00, $ff, $c0, $3f, $f0, $0f, $f8, $07, $38, $c7, $38, $c7, $38, $c7, $78, $87
						db		$00, $ff, $01, $fe, $03, $fc, $07, $f8, $0f, $f0, $1f, $e0, $1f, $e0, $1f, $e0
						db		$f0, $0f, $f0, $0f, $e0, $1f, $c0, $3f, $80, $7f, $f8, $07, $f8, $07, $f8, $07
						db		$ff, $ff, $ff, $fc, $ff, $f0, $ff, $f0, $ff, $e1, $ff, $f3, $ff, $ff, $ff, $fe
						db		$ff, $ff, $ff, $1f, $ff, $0f, $ff, $07, $ff, $c7, $ff, $c7, $ff, $07, $ff, $0f
						db		$ff, $fc, $ff, $ff, $ff, $ff, $ff, $e3, $ff, $e1, $ff, $e0, $ff, $f0, $ff, $fc
						db		$ff, $07, $ff, $03, $ff, $e3, $ff, $e3, $ff, $c3, $ff, $07, $ff, $07, $ff, $1f
						db		$00, $ff, $01, $fe, $03, $fc, $03, $fc, $07, $f8, $07, $f8, $0e, $f1, $1e, $e1
						db		$e0, $1f, $f0, $0f, $f0, $0f, $f0, $0f, $f0, $0f, $70, $8f, $70, $8f, $70, $8f
						db		$1c, $e3, $3f, $c0, $3f, $c0, $3f, $c0, $00, $ff, $00, $ff, $00, $ff, $00, $ff
						db		$70, $8f, $fc, $03, $fe, $01, $fc, $03, $70, $8f, $70, $8f, $70, $8f, $00, $ff
						db		$ff, $ff, $ff, $f8, $ff, $f8, $ff, $f8, $ff, $f8, $ff, $f0, $ff, $f0, $ff, $f0
						db		$ff, $ff, $ff, $07, $ff, $07, $ff, $07, $ff, $ff, $ff, $ff, $ff, $1f, $ff, $0f
						db		$ff, $f0, $ff, $f9, $ff, $ff, $ff, $ff, $ff, $e3, $ff, $e0, $ff, $f0, $ff, $f8
						db		$ff, $07, $ff, $87, $ff, $c7, $ff, $c7, $ff, $87, $ff, $0f, $ff, $1f, $ff, $3f
